package com.supervision.manage.controller.diseasemanage;

import com.supervision.manage.service.DiseaseQuestionManageService;
import com.supervision.model.DiseaseQuestion;
import com.supervision.vo.manage.DiseaseQuestionResVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(tags = "疾病问题管理")
@RestController
@RequestMapping("diseaseQuestion")
@RequiredArgsConstructor
public class DiseaseQuestionManageController {


    private final DiseaseQuestionManageService diseaseQuestionManageService;

    @ApiOperation("保存疾病问题信息")
    @PostMapping("/batchSave")
    public boolean batchSaveQuestionList(@RequestBody List<DiseaseQuestion> diseaseQuestionList) {

        diseaseQuestionManageService.batchSaveQuestion(diseaseQuestionList);
        return true;

    }

    @ApiOperation("删除疾病问题")
    @DeleteMapping("/delete")
    public boolean deleteDiseaseQuestion(@RequestParam String id) {

        return diseaseQuestionManageService.deleteDiseaseQuestion(id);

    }



    @ApiOperation("根据疾病id查询问题库信息列表")
    @GetMapping("/queryListByDiseaseId")
    public List<DiseaseQuestionResVo> queryPageByDiseaseId(String diseaseId) {

        return diseaseQuestionManageService.queryPageByDiseaseId(diseaseId);

    }

    // todo: 根据疾病id 打标问题库列表


}
